Name:           hpic
Version:        0.52.2
Release:        9%{?dist}
Summary:        Healpix manipulation binaries and library

Group:          Development/Libraries
License:        GPLv2+
URL:            http://cmb.phys.cwru.edu/hpic/
Source0:        http://cmb.phys.cwru.edu/hpic/hpic-0.52.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cfitsio-devel
Requires(post):    /sbin/ldconfig
Requires(postun):  /sbin/ldconfig

%description
hpic is a C and C++ implementation of the healpix pixelization of a sphere 
algorithms.  It includes several command line utilities for reading, writing,
and manipulating healpix files, as well as a library so other programs can
do the same.

%package devel
Group:  Development/Libraries
Summary: Headers required when building programs against hpic
Requires: %{name} = %{version}-%{release}
Requires: cfitsio-devel

%description devel
Headers required when building a program against the hpic library,
as well as a static library.

%prep
%setup -q


%build
%configure --disable-dependency-tracking --with-extra-includes=-I%{_includedir}/cfitsio
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} SUID_ROOT="" install

#Remove files we don't want packaged (BZ# 556055)
rm -f %{buildroot}/%{_libdir}/libhpic.la
rm -f %{buildroot}/%{_libdir}/libhpic.a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS ChangeLog doc/hpic.pdf
%{_libdir}/libhpic.so.*
%{_bindir}/hpic*

%files devel
%defattr(-,root,root)
%{_libdir}/libhpic.so
%{_includedir}/hpic.h

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 18 2010 Matthew Truch <matt at truch.net> - 0.52.2-9
- Remove static library per Redhat BZ 556055

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Matthew Truch <matt at truch.net> - 0.52.2-7
- Bump for mass rebuild.

* Mon Feb 11 2008 Matthew Truch <matt at truch.net> - 0.52.2-6
- Bump revision for rebuild; again.

* Fri Jan 18 2008 Matthew Truch <matt at truch.net> - 0.52.2-5
- Bump revision for rebuild.

* Tue Aug 21 2007 Matthew Truch <matt at truch.net> - 0.52.2-4
- Bump revision for rebuild (build-id etc.)

* Thu Aug 2 2007 Matthew Truch <matt at truch.net> - 0.52.2-3
- Update License tag

* Mon Aug 28 2006 Matthew Truch <matt at truch.net> - 0.52.2-2
- Bump revision for mass rebuild in prep. for FC6.

* Tue Feb 28 2006 Matthew Truch <matt at truch.net> - 0.52.2-1
- Update to 0.52.2 upstream bugfix release.

* Tue Feb 28 2006 Matthew Truch <matt at truch.net> - 0.52-6
- Bump revision number for FC5 mass rebuild.

* Sat Dec 24 2005 Matthew Truch <matt at truch.net> - 0.52-5
- Include missing %defattr for devel package (bug 173090).

* Mon Nov 14 2005 Matthew Truch <matt at truch.net> - 0.52-4
- Bump revision to make build system build.

* Mon Nov 14 2005 Matthew Truch <matt at truch.net> - 0.52-3
- hpic-devel requires cfitsio-devel (for headers).
- Clean up URL and Source0.
- As per bug 173090.

* Sun Nov 13 2005 Matthew Truch <matt at truch.net> - 0.52-2
- Don't include the INSTALL file in doc.

* Sun Nov 13 2005 Matthew Truch <matt at truch.net> - 0.52-1
- Upgrade to hpic 0.52
- Specificly name hpic.h in files section.
- Clean up macro usage.

* Sun Nov 06 2005 Matthew Truch <matt at truch.net> - 0.51-2
- Require hpic for hpic-devel.
- Don't package libhpic.la
- Improve description and summary.
- Clean up specfile syntax.
- Direct configure to cfitsio headers.
- Put libhpic.so in hpic-devel.

* Sun Oct 30 2005 Matthew Truch <matt at truch.net> - 0.51-1
- Initial attempt at spec file.

